/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.loadtest;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.loadtest.WsdlLoadTest;
import com.eviware.soapui.support.UISupport;

/**
 * Clones a WsdlLoadTest
 * 
 * @author Ole.Matzura
 */

public class CloneLoadTestAction extends AbstractAction
{

	private final WsdlLoadTest loadTest;

	public CloneLoadTestAction( WsdlLoadTest loadTest )
   {
      super( "Clone LoadTest" );
		this.loadTest = loadTest;
      putValue( Action.SHORT_DESCRIPTION, "Clones this LoadTest" );
      putValue( Action.SMALL_ICON, UISupport.createImageIcon("/clone_request.gif"));
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "F9" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of cloned LoadTest", "Clone LoadTest", "Copy of " + loadTest.getName() );
      if( name == null ) return;
      
      WsdlLoadTest newLoadTest = loadTest.getTestCase().cloneLoadTest( loadTest, name );
      
      UISupport.selectAndShow( newLoadTest );
   }
}
