/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.mockoperation;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.mock.WsdlMockOperation;
import com.eviware.soapui.support.UISupport;

/**
 * Renames a WsdlRequest
 * 
 * @author Ole.Matzura
 */

public class RenameMockOperationAction extends AbstractAction
{
   private final WsdlMockOperation mockOperation;

	public RenameMockOperationAction( WsdlMockOperation mockOperation )
   {
      super( "Rename" );
		this.mockOperation = mockOperation;
      putValue( Action.SHORT_DESCRIPTION, "Renames this MockOperation" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "F2" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of MockOperation", "Rename MockOperation", mockOperation.getName() );
      if( name == null || name.equals( mockOperation.getName() )) return;
      
      mockOperation.setName( name );
   }

}
