/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.mockresponse;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.actions.iface.AbstractSwingAction;
import com.eviware.soapui.impl.wsdl.mock.WsdlMockResponse;
import com.eviware.soapui.support.UISupport;

public class RenameMockResponseAction extends AbstractSwingAction<WsdlMockResponse>
{
	public RenameMockResponseAction( WsdlMockResponse mockResponse )
	{
		super( "Rename", "Renames this MockResponse", mockResponse );
		putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "F2" ));
	}

	@Override
	public void actionPerformed( ActionEvent arg0, WsdlMockResponse mockResponse )
	{
		String name = UISupport.prompt( "Specify name of MockResponse", getName(), mockResponse.getName() );
      if( name == null || name.equals( mockResponse.getName() )) return;
      
      mockResponse.setName( name );
	}
}
