/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.mockservice;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.mock.WsdlMockService;
import com.eviware.soapui.support.UISupport;

/**
 * Renames a WsdlMockService
 * 
 * @author Ole.Matzura
 */

public class RenameMockServiceAction extends AbstractAction
{
   private final WsdlMockService mockService;

	public RenameMockServiceAction( WsdlMockService mockService )
   {
      super( "Rename" );
		this.mockService = mockService;
      putValue( Action.SHORT_DESCRIPTION, "Renames this MockService" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "F2" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of MockService", "Rename MockService", mockService.getName() );
      if( name == null || name.equals( mockService.getName() )) return;
      
      mockService.setName( name );
   }
}
