/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.project;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlProject;
import com.eviware.soapui.impl.wsdl.mock.WsdlMockService;
import com.eviware.soapui.support.UISupport;

/**
 * Action for adding a new WsdlTestSuite to a WsdlProject
 * 
 * @author Ole.Matzura
 */

public class AddNewMockServiceAction extends AbstractAction
{
   private final WsdlProject project;

	public AddNewMockServiceAction( WsdlProject project ) 
   {
      super( "New MockService" );
		this.project = project;
      putValue( Action.SHORT_DESCRIPTION, "Creates a new MockService in this project" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "menu O" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      createMockService();
   }

	public WsdlMockService createMockService()
	{
		String name = UISupport.prompt( "Specify name of MockService", "New MockService", 
      		"MockService " + (project.getMockServiceCount()+1) );
      if( name == null ) 
      	return null;
      
      WsdlMockService mockService = project.addNewMockService( name );
      SoapUI.selectModelItem( mockService );
      
      return mockService;
	}
}
