/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.teststep;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep;
import com.eviware.soapui.support.UISupport;

/**
 * Renames a WsdlTestStep
 * 
 * @author Ole.Matzura
 */

public class RenameTestStepAction extends AbstractAction
{
   private final WsdlTestStep testStep;

	public RenameTestStepAction( WsdlTestStep testStep )
   {
      super( "Rename" );
		this.testStep = testStep;
      putValue( Action.SHORT_DESCRIPTION, "Renames this TestStep" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "F2" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = testStep.getName();
      
      while( testStep.getTestCase().getTestStepByName( name ) != null )
      {
      	name = UISupport.prompt( "Specify unique name of TestStep", "Rename TestStep", testStep.getName() );
      	if( name == null || name.equals( testStep.getName() )) return;
      }
      
      testStep.setName( name );
   }

}
