/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.testsuite;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.impl.wsdl.WsdlTestSuite;
import com.eviware.soapui.impl.wsdl.testcase.WsdlTestCase;
import com.eviware.soapui.support.UISupport;

/**
 * Adds a new WsdlTestCase to a WsdlTestSuite
 * 
 * @author Ole.Matzura
 */

public class AddNewTestCaseAction extends AbstractAction
{
   private final WsdlTestSuite testSuite;

	public AddNewTestCaseAction( WsdlTestSuite testSuite ) 
   {
      super( "New TestCase" );
		this.testSuite = testSuite;
      putValue( Action.SHORT_DESCRIPTION, "Creates a new TestCase in this test suite" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "menu N" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
      String name = UISupport.prompt( "Specify name of TestCase", "New TestCase", "TestCase " +
      		(testSuite.getTestCaseCount()+1) );
      if( name == null ) return;
      
      WsdlTestCase testCase = testSuite.addNewTestCase( name );
      UISupport.showDesktopPanel( testCase );
   }
}
