/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.mockoperation;

import java.awt.Component;

import com.eviware.soapui.impl.EmptyPanelBuilder;
import com.eviware.soapui.impl.wsdl.mock.WsdlMockResponse;
import com.eviware.soapui.support.components.JPropertiesTable;
import com.eviware.soapui.ui.desktop.DesktopPanel;

public class WsdlMockResponsePanelBuilder extends EmptyPanelBuilder<WsdlMockResponse>
{
	public DesktopPanel buildDesktopPanel( WsdlMockResponse mockResponse )
	{
		return new WsdlMockResponseDesktopPanel( mockResponse );
	}

	public boolean hasDesktopPanel()
	{
		return true;
	}
	
	public boolean hasOverviewPanel()
   {
      return true;
   }
   
   public Component buildOverviewPanel( WsdlMockResponse mockResponse )
   {
	  	JPropertiesTable<WsdlMockResponse> table = new JPropertiesTable<WsdlMockResponse>( "MockResponse Properties" );
	  	table.addProperty( "Name", "name", true );
	  	table.addProperty( "Encoding", "encoding", new String[] {null, "UTF-8", "iso-8859-1" });
	  	table.addProperty( "Enable MTOM/Inline", "mtomEnabled", JPropertiesTable.BOOLEAN_OPTIONS  );
	  	table.addProperty( "Enable multiparts", "multipartEnabled", JPropertiesTable.BOOLEAN_OPTIONS );
   	
   	table.setPropertyObject( mockResponse );
   	
   	return table;
   }
}
