/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.request.components.editor;

import java.beans.PropertyChangeListener;

import javax.swing.JComponent;

public interface XmlInspector extends XmlLocationListener
{
	public final static String TITLE_PROPERTY = XmlInspector.class.getName() + "@title";
	public final static String DESCRIPTION_PROPERTY = XmlInspector.class.getName() + "@description";
	public final static String ENABLED_PROPERTY = XmlInspector.class.getName() + "@enabled";
	
	public String getTitle();

	public JComponent getComponent();

	public String getDescription(); 
	
	public boolean isEnabled();
	
	public void init( XmlEditor editor );
	
	public XmlEditor getEditor();
	
	public void addPropertyChangeListener( PropertyChangeListener listener );
	
	public void removePropertyChangeListener( PropertyChangeListener listener );

	public String getInspectorId();
}
