/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.submit.transports.http;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.activation.DataSource;

import com.eviware.soapui.impl.wsdl.WsdlInterface;
import com.eviware.soapui.impl.wsdl.WsdlRequest;

public class WsdlRequestDataSource implements DataSource
{
	private final WsdlRequest wsdlRequest;
	private final String requestContent;
	private final boolean isXOP;

	public WsdlRequestDataSource(WsdlRequest wsdlRequest, String requestContent, boolean isXOP)
	{
		this.wsdlRequest = wsdlRequest;
		this.requestContent = requestContent;
		this.isXOP = isXOP;
	}

	public String getContentType()
	{
		if( isXOP )
		{
		   return AttachmentUtils.buildRootPartContentType( wsdlRequest.getOperation().getName(),
		   			((WsdlInterface)wsdlRequest.getOperation().getInterface()).getSoapVersion());	
		}
		else
			return "text/xml; charset=UTF-8";
	}

	public InputStream getInputStream() throws IOException
	{
		byte[] bytes = requestContent.getBytes( "UTF-8");
		return new ByteArrayInputStream( bytes);
	}

	public String getName()
	{
		return wsdlRequest.getName();
	}

	public OutputStream getOutputStream() throws IOException
	{
		return null;
	}
}
