/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.submit.filters;

import junit.framework.TestCase;

import com.eviware.soapui.impl.wsdl.WsdlSubmitContext;

public class PropertyExpansionTestCase extends TestCase
{
   public void testExpansion() throws Exception
   {
   	WsdlSubmitContext context = new WsdlSubmitContext( null );
   	
   	context.setProperty( "test", "value" );
   	
   	assertEquals( "value", PropertyExpansionRequestFilter.expandProperties( context, "${test}" ));
   	assertEquals( "value", PropertyExpansionRequestFilter.expandProperties( context, "${#test}" ));
   	assertEquals( " value ", PropertyExpansionRequestFilter.expandProperties( context, " ${test} " ));
   	assertEquals( "${testa}", PropertyExpansionRequestFilter.expandProperties( context, "${testa}" ));
   	assertEquals( "valuevalue", PropertyExpansionRequestFilter.expandProperties( context, "${test}${test}" ));
   	assertEquals( "${testvalue}", PropertyExpansionRequestFilter.expandProperties( context, "${test${test}}" ));
   }
   
   public void testXPathExpansion() throws Exception 
   {
   	WsdlSubmitContext context = new WsdlSubmitContext( null );
   	
   	context.setProperty( "test", "<test><value>hello</value></test>" );
   	assertEquals( "hello", PropertyExpansionRequestFilter.expandProperties( context, "${#test#//value/text()}" ));
   }
}
